FSXFSMOUNT(1)

NAME
fsxfsmount - mounts a X File System (XFS) volume

SYNOPSIS
fsxfsmount [-o offset] [-X extended_options] [-hvV] source mount_point

DESCRIPTION
fsxfsmount is a utility to mount a X File System (XFS) volume

fsxfsmount is part of the libfsxfs package. libfsxfs is a library to access the X File System (XFS) format

source a X File System (XFS) volume mount_point the directory to serve as mount point

The options are as follows:

-h  shows this help

-o offset
    specify the volume offset in bytes

-v  verbose output to stderr, while fsxfsmount will remain running in the foreground

-V  print version

-X extended_options
    extended options to pass to sub system

ENVIRONMENT
None

FILES
None

EXAMPLES

    # fsxfsmount /dev/sda1 /mnt/fsxfs
    fsxfsmount 20260621

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

SEE ALSO
fsxfsinfo(1)

AUTHORS
Joachim Metz <joachim.metz@gmail.com>

BUGS
Please report bugs of any kind on the project issue tracker: https://github.com/libyal/libfsxfs/issues

COPYRIGHT
Copyright (C) 2020-2026, Joachim Metz <joachim.metz@gmail.com>.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.